Qt 5.6 | Qt Location | C++ Classes | QPlaceProposedSearchResult

Qt 5.6.3 Reference Documentation

# QPlaceProposedSearchResult Class

The QPlaceProposedSearchResult class represents a search result containing a proposed search. More...

Header: | #include <QPlaceProposedSearchResult>
qmake: | QT += location
Since: | Qt Location 5.2
Inherits: | QPlaceSearchResult

- List of all members, including inherited members

## Public Functions

| QPlaceProposedSearchResult()
| QPlaceProposedSearchResult(const QPlaceSearchRequest &other)
| ~QPlaceProposedSearchResult()
QPlaceSearchRequest | searchRequest() const
void | setSearchRequest(const QPlaceSearchRequest &request)

- 8 public functions inherited from QPlaceSearchResult

## Detailed Description

The QPlaceProposedSearchResult class represents a search result containing a proposed search.

See also QPlaceSearchResult.

## Member Function Documentation

### QPlaceProposedSearchResult::QPlaceProposedSearchResult()

Constructs a new proposed search result.

### QPlaceProposedSearchResult::QPlaceProposedSearchResult(const QPlaceSearchRequest &other)

Contructs a copy of other if possible, otherwise constructs a default proposed search result.

### QPlaceProposedSearchResult::~QPlaceProposedSearchResult()

Destroys the proposed search result.

### QPlaceSearchRequest QPlaceProposedSearchResult::searchRequest() const

Returns a place search request that can be used to perform an additional proposed search.

See also setSearchRequest().

### void QPlaceProposedSearchResult::setSearchRequest(const QPlaceSearchRequest &request)

Sets the proposed search request to request.

See also searchRequest().